Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.builders.impl
Class ResponseBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.builders.impl.ResponseBuilderImpl

All Implemented Interfaces:
  ResponseBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook, Serializable

    public class ResponseBuilderImpl

extends Object
implements ResponseBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

handles response objects. retrieves subObjects. Implements : `ResponseBuilder`

See Also:
  Serialized Form

Constructor Summary
`ResponseBuilderImpl()` default constructor : only needed for ModuleBootstrapHook.
`ResponseBuilderImpl(Chapter4XmlValidator validator)`
`ResponseBuilderImpl(Crypto crypto, Chapter4XmlValidator validator)` Deprecated. use ResponseBuilderImpl(Chapter4XmlValidator validator) instead , the HolderOfKeyCrypto is now retrieved directly from the session.

Method Summary
`void` | `bootstrap()`
`Kmehrresponse` | `convertToKmehrResKmehrresponse(byte[] bytes)`
`org.bouncycastle.tsp.TimeStampResponse` | `convertToTimeStampResponse(byte[] bytes)`
`byte[]` | `getSecuredContent(Chap4MedicalAdvisorAgreementResponseWrapper<?> agreementResponse)`
`static org.bouncycastle.tsp.TimeStampResponse` | `getTimestampResponse(byte[] tsTokenResponse)`
`UnsealedResponseWrapper<?>` | `getUnsealedResponse(byte[] unsealedSecuredContent, ConversationType type)`
`FaultType` | `retrieveReturnInfo(ResponseType response)` retrieves the returnInfo with detailed error
`ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response)` validates and decodes response and retrieves kmehrResponse and timestamp info.
`ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response, boolean ignoreWarnings)` validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.
`ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response)` validates and decodes response and retrieves kmehrResponse and timestamp info.
`ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response, boolean ignoreWarnings)` validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseBuilderImpl

    @Deprecated
    public ResponseBuilderImpl(Crypto crypto,
                                          Chapter4XmlValidator validator)

  Deprecated. use ResponseBuilderImpl(Chapter4XmlValidator validator) instead , the HolderOfKeyCrypto is now retrieved directly from the session.

  Parameters:
    `crypto` -
    `validator` - Chapter4XmlValidator

### ResponseBuilderImpl

    public ResponseBuilderImpl()

  default constructor : only needed for ModuleBootstrapHook.

### ResponseBuilderImpl

    public ResponseBuilderImpl(Chapter4XmlValidator validator)

Parameters:
  `crypto` -
  `validator` - Chapter4XmlValidator

Method Detail

### retrieveReturnInfo

    public FaultType retrieveReturnInfo(ResponseType response)

  Description copied from interface: `ResponseBuilder`
  retrieves the returnInfo with detailed error

  Specified by:
    `retrieveReturnInfo` in interface `ResponseBuilder`
  Parameters:
    `response` - `ResponseType`
  Returns:
    `FaultType`
  See Also:
    `ResponseBuilder.retrieveReturnInfo(be.fgov.ehealth.commons.protocol.v1.ResponseType)`

### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

    public ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response)
                                                                                                                throws UnsealConnectorException,
                                                                                                                       ChapterIVBusinessConnectorException,
                                                                                                                       TechnicalConnectorException

  Description copied from interface: `ResponseBuilder`
  validates and decodes response and retrieves kmehrResponse and timestamp info.

  Specified by:
    `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo` in interface `ResponseBuilder`
  Returns:
    `ChapterIVKmehrResponseWithTimeStampInfo`
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `UnsealConnectorException`
  See Also:
    `ResponseBuilder.validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementResponse)`

### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

    public ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response,
                                                                                                                       boolean ignoreWarnings)
                                                                                                                throws UnsealConnectorException,
                                                                                                                       ChapterIVBusinessConnectorException,
                                                                                                                       TechnicalConnectorException

  Description copied from interface: `ResponseBuilder`
  validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.

  Specified by:
    `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo` in interface `ResponseBuilder`
  Returns:
  Throws:
    `UnsealConnectorException`
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `ResponseBuilder.validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementResponse)`

### convertToTimeStampResponse

    public org.bouncycastle.tsp.TimeStampResponse convertToTimeStampResponse(byte[] bytes)
                                                                      throws TechnicalConnectorException

  Specified by:
    `convertToTimeStampResponse` in interface `ResponseBuilder`
  Throws:
    `TechnicalConnectorException`
  See Also:
    `ResponseBuilder.convertToTimeStampResponse(byte[])`

### convertToKmehrResKmehrresponse

    public Kmehrresponse convertToKmehrResKmehrresponse(byte[] bytes)
                                                 throws ChapterIVBusinessConnectorException

  Specified by:
    `convertToKmehrResKmehrresponse` in interface `ResponseBuilder`
  Throws:
    `ChapterIVBusinessConnectorException`
  See Also:
    `ResponseBuilder.convertToKmehrResKmehrresponse(byte[])`

### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

    public ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response)
                                                                                                                throws ChapterIVBusinessConnectorException,
                                                                                                                       TechnicalConnectorException

  Description copied from interface: `ResponseBuilder`
  validates and decodes response and retrieves kmehrResponse and timestamp info.

  Specified by:
    `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo` in interface `ResponseBuilder`
  Parameters:
    `response` - ConsultChap4MedicalAdvisorAgreementResponse
  Returns:
    `ChapterIVKmehrResponseWithTimeStampInfo`
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `ResponseBuilder.validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(be.fgov.ehealth.chap4.protocol.v1.ConsultChap4MedicalAdvisorAgreementResponse)`

### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

    public ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response,
                                                                                                                       boolean ignoreWarnings)
                                                                                                                throws ChapterIVBusinessConnectorException,
                                                                                                                       TechnicalConnectorException

  Description copied from interface: `ResponseBuilder`
  validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.

  Specified by:
    `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo` in interface `ResponseBuilder`
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`
    `UnsealConnectorException`
    `TechnicalConnectorException`
  See Also:
    `ResponseBuilder.validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(be.fgov.ehealth.chap4.protocol.v1.ConsultChap4MedicalAdvisorAgreementResponse)`

### getTimestampResponse

    public static org.bouncycastle.tsp.TimeStampResponse getTimestampResponse(byte[] tsTokenResponse)
                                                                       throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getUnsealedResponse

    public UnsealedResponseWrapper<?> getUnsealedResponse(byte[] unsealedSecuredContent,
                                                          ConversationType type)

  Parameters:
    `unsealedSecuredContent` -
  Returns:

### getSecuredContent

    public byte[] getSecuredContent(Chap4MedicalAdvisorAgreementResponseWrapper<?> agreementResponse)
                             throws ChapterIVBusinessConnectorException

  Parameters:
    `agreementResponse` -
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.